<script lang="ts">
    import { scale } from 'svelte/transition'
    import { quintOut } from 'svelte/easing'

    export let variant = 'info'

    const inTransition = { duration: 150, easing: quintOut }
</script>

<div class={variant} in:scale={inTransition} role="alert">
    <h2>
        <slot name="title" />
    </h2>
    <p>
        <slot />
    </p>
</div>

<style lang="postcss">
    div {
        @apply border-l-4 p-4 mb-4;
    }

    h2 {
        @apply font-bold;
    }

    .error {
        @apply bg-red-100 border-red-500 text-red-700;
    }

    .info {
        @apply bg-indigo-100 border-indigo-500 text-indigo-700;
    }

    .success {
        @apply bg-green-100 border-green-500 text-green-700;
    }

    .warn {
        @apply bg-orange-100 border-orange-500 text-orange-700;
    }
</style>
